org.codehaus.plexus.javadoc

## Class PlexusConfigurationTaglet

- java.lang.Object
- - org.codehaus.plexus.javadoc.AbstractPlexusTaglet
  - - org.codehaus.plexus.javadoc.PlexusConfigurationTaglet

All Implemented Interfaces:
  com.sun.tools.doclets.Taglet

    public class PlexusConfigurationTaglet
    extends AbstractPlexusTaglet

The `@plexus.configuration` tags are used to mark fields in a class for configuration through the `components.xml`.

Parameter | Required | Description
default-value | Currently | The default values are currently required for the `<configuration`> tag to be written to `components.xml`.

Version:
  $Id: PlexusConfigurationTaglet.java 7277 2008-04-11 18:12:21Z bentmann $
Author:
  Vincent Siveton
See Also:
  http://plexus.codehaus.org/guides/developer-guide/appendices/javadoc-tags-reference.html

### Constructor Summary

Constructors
Constructor and Description
`PlexusConfigurationTaglet()`

### Method Summary

Methods
`java.lang.String` `getHeader()`
`java.lang.String` `getName()`
`boolean` `inConstructor()`
`boolean` `inField()`
`boolean` `inMethod()`
`boolean` `inOverview()`
`boolean` `inPackage()`
`boolean` `inType()`
`boolean` `isInlineTag()`
`static void` `register(java.util.Map tagletMap)` Register this Taglet.

### Methods inherited from class org.codehaus.plexus.javadoc.AbstractPlexusTaglet

`toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusConfigurationTaglet

    public PlexusConfigurationTaglet()

### Method Detail

#### getHeader

    public java.lang.String getHeader()

Specified by:
  `getHeader` in class `AbstractPlexusTaglet`
Returns:
  the header to display

#### getName

    public java.lang.String getName()

#### inConstructor

    public boolean inConstructor()

#### inField

    public boolean inField()

#### inMethod

    public boolean inMethod()

#### inOverview

    public boolean inOverview()

#### inPackage

    public boolean inPackage()

#### inType

    public boolean inType()

#### isInlineTag

    public boolean isInlineTag()

#### register

    public static void register(java.util.Map tagletMap)

Register this Taglet.

Parameters:
  `tagletMap` - the map to register this tag to.